- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/get#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations/get#body.aspect_1)

Gets a `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations#Evaluation`.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1beta/{name=projects/*/locations/*/evaluations/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Full resource name of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations#Evaluation`, such as `projects/{project}/locations/{location}/evaluations/{evaluation}`. If the caller does not have permission to access the `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations#Evaluation`, regardless of whether or not it exists, a PERMISSION_DENIED error is returned. If the requested `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations#Evaluation` does not exist, a NOT_FOUND error is returned. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.evaluations#Evaluation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `discoveryengine.evaluations.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).